<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/transparent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:background="@drawable/background_shape_white_radius_8"
        android:orientation="vertical"
        android:paddingBottom="20dp">

        <ImageView
            android:id="@+id/notificationIv"
            android:layout_width="match_parent"
            android:layout_height="236dp"
            android:scaleType="fitXY"
            android:src="@drawable/bg_install_permission"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/switchLottie"
            android:layout_width="32dp"
            android:layout_height="62dp"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="185dp"
            android:layout_marginTop="33dp"
            app:lottie_repeatMode="restart"
            app:lottie_repeatCount="10000"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="请打开允许未知来源安装的开关"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/notificationIv" />

        <TextView
            android:id="@+id/contentTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="8dp"
            android:layout_marginRight="12dp"
            android:gravity="center"
            android:text="以保证游戏的安装和更新"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv" />

        <TextView
            android:id="@+id/activateTv"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="48dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="48dp"
            android:background="@drawable/bg_install_permission_btn"
            android:gravity="center"
            android:text="立即开启"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintTop_toBottomOf="@+id/contentTv" />

        <TextView
            android:id="@+id/closeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="以后再说"
            android:textColor="@color/text_subtitleDesc"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/activateTv"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginRight="12dp"
            android:src="@drawable/ic_install_permission_close"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>